package mt.edu.um.nlgapp.docplan;

import uk.ac.abdn.carados.OntologyHandler;

/**
 * This interface defines the basic API for a document planner. A document
 * planner needs to
 * 
 * @author bertugatt
 * 
 */
public interface DocPlanner {

	/**
	 * A document planner is only defined by one method, which takes an
	 * ontology, performs content selection and document structuring, and
	 * returns the resulting {@link mt.edu.um.nlgapp.docplan.DocPlan}
	 * 
	 * @param ontology
	 * @return a document plan
	 */
	public DocPlan planDocument(OntologyHandler ontology);

}
