package mt.edu.um.nlgapp.microplan;

import mt.edu.um.nlgapp.docplan.DocPlan;

public interface Microplanner {

	/**
	 * The most important method in the microplanner. This method should
	 * traverse the DocPlan tree, and create a {@link LexicalTemplate} for each
	 * message.
	 * 
	 * @param doc
	 *            the document plan
	 */
	public void microplanDoc(DocPlan doc);

}
